#version  330 core
layout(location = 0) in vec4 vertPos;
layout(location = 1) in vec3 vertNor;
uniform mat4 P;
uniform mat4 V;
uniform mat4 M;
uniform vec3 MatAmb;
uniform vec3 MatDif;
uniform vec3 MatSpec;
uniform float shine;

out vec3 fragNor;
//out vec3 viewDir;
out vec3 c;

void main()
{
	gl_Position = P * V * M * vertPos;
	fragNor = (M * vec4(vertNor, 0.0)).xyz;

	vec3 lightDir = vec3(0, 1, -1);
	lightDir = normalize(lightDir);
	float diff = max(dot(normalize(fragNor), lightDir), 0.0);
	vec3 diffuse = diff * MatDif;

	float ambientStrength = 0.75f;
	vec3 amb = ambientStrength * MatAmb;

	c = diffuse + amb;
}
