#version  330 core
layout(location = 0) in vec4 vertPos;
layout(location = 1) in vec3 vertNor;
uniform mat4 P;
uniform mat4 V;
uniform mat4 M;
uniform float time;

uniform vec3 lightPos;

out vec3 fragNor;
out vec3 lightDir;
out vec3 viewDir;
out vec3 H;
out vec3 spotlight;

void main()
{
	gl_Position = P * V * M * vertPos;
	fragNor = (M * vec4(vertNor, 0.0)).xyz;
	lightDir = lightPos - (M * vertPos).xyz;
	viewDir = normalize(vec3(V) - vertPos.xyz);
	
	H = normalize(lightDir + viewDir);

	float slRad = 4.0;
	float lhRad = 4.0;
	vec3 slLoc = vec3(9.0 + cos(time) *lhRad, 100.0, 11.0 + sin(time) * lhRad);
	spotlight = vec3(clamp(slRad - length(vertPos.xyz - slLoc), 0.0, slRad));
}
