#version 330 core
layout (location = 0) in vec3 vertPos;
layout (location = 1) in vec3 vertNor;

uniform mat4 P;
uniform mat4 V;
uniform mat4 M;

void main() {
	// Some meshes aren't centered at the origin, but at the base.
	//  This method attempts to solve that issue
	gl_Position = P * V * M * vec4(vertPos.xyz + normalize(vertNor) * 0.05f, 1.0f);
}
